org.apache.cxf.service.model

## Class InterfaceInfo

- java.lang.Object
- - org.apache.cxf.service.model.AbstractPropertiesHolder
  - - org.apache.cxf.service.model.AbstractDescriptionElement
    - - org.apache.cxf.service.model.InterfaceInfo

- All Implemented Interfaces:
    Extensible, NamedItem

      public class InterfaceInfo
      extends AbstractDescriptionElement
      implements NamedItem

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InterfaceInfo(ServiceInfo info, QName q)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OperationInfo` | `addOperation(QName oname)` Adds an operation to this service.
    `DescriptionInfo` | `getDescription()`
    `QName` | `getName()`
    `OperationInfo` | `getOperation(QName oname)` Returns the operation info with the given name, if found.
    `Collection<OperationInfo>` | `getOperations()` Returns all operations for this service.
    `ServiceInfo` | `getService()`
    `void` | `removeOperation(OperationInfo operation)` Removes an operation from this service.
    `void` | `setName(QName n)`

    - ### Methods inherited from class org.apache.cxf.service.model.AbstractPropertiesHolder

      `addExtensionAttribute, addExtensor, containsExtensor, equals, getDocumentation, getExtensionAttribute, getExtensionAttributes, getExtensor, getExtensors, getExtensors, getProperties, getProperty, getProperty, getTraversedExtensor, hasProperty, removeProperty, setDelegate, setDocumentation, setExtensionAttributes, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InterfaceInfo

          public InterfaceInfo(ServiceInfo info,
                               QName q)

  - ### Method Detail

    - #### getDescription

          public DescriptionInfo getDescription()

      Specified by:
        `getDescription` in class `AbstractDescriptionElement`

    - #### getService

          public ServiceInfo getService()

    - #### setName

          public void setName(QName n)

    - #### getName

          public QName getName()

      Specified by:
        `getName` in interface `NamedItem`

    - #### addOperation

          public OperationInfo addOperation(QName oname)

      Adds an operation to this service.
      Parameters:
        `oname` - the qualified name of the operation.
      Returns:
        the operation.

    - #### removeOperation

          public void removeOperation(OperationInfo operation)

      Removes an operation from this service.
      Parameters:
        `operation` - the operation.

    - #### getOperation

          public OperationInfo getOperation(QName oname)

      Returns the operation info with the given name, if found.
      Parameters:
        `oname` - the name.
      Returns:
        the operation; or `null` if not found.

    - #### getOperations

          public Collection<OperationInfo> getOperations()

      Returns all operations for this service.
      Returns:
        all operations.

Apache CXF